### Hierarchy

- unknown
  - SellerAsMakerTrade

## Index

### Constructors

- constructor

### Methods

- clearTrade
- getTrade
- hasTrade
- serializeBinary
- setTrade
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new SellerAsMakerTrade(): SellerAsMakerTrade

- Inherited from jspb.Message.constructor

  #### Returns SellerAsMakerTrade

## Methods

### clearTrade

- clearTrade(): SellerAsMakerTrade

- - Defined in src/protobuf/pb_pb.d.ts:6927

  #### Returns SellerAsMakerTrade

### getTrade

- getTrade(): undefined | Trade

- - Defined in src/protobuf/pb_pb.d.ts:6924

  #### Returns undefined | Trade

### hasTrade

- hasTrade(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:6926

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6929

  #### Returns Uint8Array

### setTrade

- setTrade(value?: Trade ): SellerAsMakerTrade

- - Defined in src/protobuf/pb_pb.d.ts:6925

  #### Parameters

  - ##### Optional value: Trade

  #### Returns SellerAsMakerTrade

### toObject

- toObject(includeInstance?: boolean): SellerAsMakerTrade . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6930

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns SellerAsMakerTrade . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): SellerAsMakerTrade

- - Defined in src/protobuf/pb_pb.d.ts:6933

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SellerAsMakerTrade

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SellerAsMakerTrade, reader: BinaryReader): SellerAsMakerTrade

- - Defined in src/protobuf/pb_pb.d.ts:6934

  #### Parameters

  - ##### message: SellerAsMakerTrade

  - ##### reader: BinaryReader

  #### Returns SellerAsMakerTrade

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: SellerAsMakerTrade, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:6932

  #### Parameters

  - ##### message: SellerAsMakerTrade

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: SellerAsMakerTrade ): SellerAsMakerTrade . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6931

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SellerAsMakerTrade

  #### Returns SellerAsMakerTrade . AsObject

Generated using TypeDoc